Create a contact
curl --request POST \
--url https://api.algosmiths.com/api/v1/contacts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"custom_fields": "<unknown>"
}
'import requests
url = "https://api.algosmiths.com/api/v1/contacts/"
payload = {
"phone": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"custom_fields": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '<string>',
name: '<string>',
email: 'jsmith@example.com',
company: '<string>',
notes: '<string>',
tags: '<unknown>',
custom_fields: '<unknown>'
})
};
fetch('https://api.algosmiths.com/api/v1/contacts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receiver_id": "<string>",
"phone": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"bsuid": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"custom_fields": "<unknown>",
"status": "active",
"conv_status": "open",
"priority": "low",
"ctwa_clid": "<string>",
"ctwa_source_id": "<string>",
"ctwa_source_url": "<string>",
"ctwa_headline": "<string>",
"ctwa_referral_at": "2023-11-07T05:31:56Z",
"first_message_at": "2023-11-07T05:31:56Z"
}{}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Contacts
Create a contact
POST
/
api
/
v1
/
contacts
/
Create a contact
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Maximum string length:
255Maximum string length:
160Maximum string length:
128Maximum string length:
254Maximum string length:
255active- activeinactive- inactivestop_comms- stop_commsstop_marketing_comms- stop_marketing_comms
Available options:
active, inactive, stop_comms, stop_marketing_comms open- Openresolved- Resolvedpending- Pendingsnoozed- Snoozedspam- Spamconverted- Converted
Available options:
open, resolved, pending, snoozed, spam, converted low- Lownormal- Normalhigh- Highurgent- Urgent
Available options:
low, normal, high, urgent Maximum string length:
512Maximum string length:
128Maximum string length:
512Maximum string length:
255
